#include<iostream>
#include<stdlib.h>
using namespace std;
void unosN(int a[], int n)
{
    for(int i=0; i<n; i++)
        cin>>a[i];
}
void ispisN(int a[], int n)
{
    for(int i=0; i<n; i++)
        cout<<a[i];
}
int main()
{
    int n, k, i;
    cin>>n>>k;
    int a[n], p[2*n];
    unosN(a, n);
    for(i=0; i<2*n; i++)
        p[i]=0;
    for(i=0; i<n; i++)
        if(p[a[i]+n]<k){
            p[a[i]+n]++;
            if(p[a[i]+n]==k)
                cout<<a[i]<<' ';
        }
    return 0;
}